# std::future_error Class Reference
[Futures, Exceptions]

Exception type thrown by futures. More...

Inheritance diagram for std::future_error:
[legend]

List of all members.

## Public Member Functions

- future_error (error_code __ec)
- const error_code & code () const throw ()
- virtual const char * what () const throw ()

## Detailed Description

Exception type thrown by futures.

Definition at line 85 of file future.

## Member Function Documentation

virtual const char* std::future_error::what | ( |  | ) | const throw ()`[virtual]`

Returns a C-style character string describing the general cause of the current error (the same string passed to the ctor).

Reimplemented from std::logic_error.

The documentation for this class was generated from the following file:

- future